# RealTimeWeather Configuration File (v1.3.0)
# You can find detailed instructions at: https://github.com/Jack1424/RealTimeWeather/wiki#editing-the-configuration-file

################################# TIME SYNC SETTINGS #################################################################
# Set to true to enable time syncing, or false to disable                                                            #
# All time-related settings will be ignored if this is set to false                                                  #
SyncTime: false
#                                                                                                                    #
# Set to false to enable the /time set command (not recommended)                                                     #
BlockTimeSetCommand: true
#                                                                                                                    #
# Prevent players from sleeping in beds at night (they will still be able to set their spawn point)                  #
# If you disable this, strange things could happen                                                                   #
DisableBedsAtNight: true
# The message sent to players when they try to sleep at night when beds are disabled                                 #
DisableBedsAtNightMessage: ''
#                                                                                                                    #
# You can change the time between time syncs from the default (5 seconds) below                                      #
TimeSyncInterval: 100
#                                                                                                                    #
# Enter the time zone that you want to sync your world(s) with                                                       #
# This location CAN be different from your chosen weather location                                                   #
# You can find a full list of timezones here: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones#List      #
Timezone: 'Etc/UTC'
#                                                                                                                    #
# Set to default to use "default" Minecraft sunrise/sunset times (always 5:02 AM and 6:36 PM respectfully)           #
# Set to real to sync the sunrise/sunset times with a real world location (configure below)                          #
# Set to custom to use custom sunrise/sunset times (configure below)                                                 #
SunriseSunset: default
# Enter the latitude and longitude of the location that you want to sync the sunrise and sunset with                 #
# If you set this to a place with no sunrise/sunset (like the North Pole), the default times will be used            #
# NOTE: You can find the latitude and longitude of a location at https://www.latlong.net/                            #
# This feature is provided for free by SunriseSunset.io                                                              #
SunriseSunsetLatitude: '0'
SunriseSunsetLongitude: '0'
# Enter the times that you would like to use for sunrise and sunset                                                  #
# You MUST include the seconds (even if they're just 00)                                                             #
# Sunrise is defined as 23041 ticks and sunset is 12610 ticks in-game                                                #
SunriseCustomTime: '5:02:27 AM'
SunsetCustomTime: '6:36:36 PM'
######################################################################################################################

################################# WEATHER SYNC SETTINGS ##############################################################
# Set to true to enable weather syncing, or false to disable                                                         #
# All weather-related settings will be ignored if this is set to false                                               #
SyncWeather: false
#                                                                                                                    #
# Set to false to enable the /weather command (not recommended)                                                      #
BlockWeatherCommand: true
#                                                                                                                    #
# Prevent players from sleeping in beds during a thunderstorm (they will still be able to set their spawn point)     #
# If you disable this, it could break weather syncing                                                                #
DisableBedsDuringThunder: true
# The message sent to players when they try to sleep during a thunderstorm when beds are disabled                    #
DisableBedsDuringThunderMessage: ''
#                                                                                                                    #
# You can change the time between weather syncs from the default (5 minutes) below                                   #
# Setting this value below 200 (10 seconds) is not recommended                                                       #
# The minimum safe value on a free API plan is 40 (2 seconds)                                                        #
# You can find a handy tick calculator here: https://mapmaking.fr/tick/                                              #
WeatherSyncInterval: 6000
#                                                                                                                    #
# In order to access the weather sync feature, create an account at https://openweathermap.org/                      #
# Then, create an API key at https://openweathermap.org/appid and copy it                                            #
# Finally, paste the API key below and DO NOT SHARE IT WITH OTHERS                                                   #
APIKey: 'API_KEY'
#                                                                                                                    #
# Enter the latitude and longitude of the location that you want to sync your world(s) weather with                  #
# NOTE: You can find the latitude and longitude of a location at https://www.latlong.net/                            #
WeatherLatitude: '0'
WeatherLongitude: '0'
#                                                                                                                    #
######################################################################################################################

# Set to true for various console messages when time and weather sync are executed
# This is useful if the plugin is not working, and you want to find out what's wrong
# This will also provide error messages even when an error is caught and managed by RTM
# Note: There will be no messages during a time sync because they happen very frequently
# Note: Unhandled plugin errors will still be logged regardless of the debug value
Debug: false
